﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;
using System.Data.Entity.Infrastructure;
using CodeCamp_2011_ProSkills_Project.Models;

namespace CodeCamp_2011_ProSkills_Project.Models.Dal
{
    public class SkillContext : DbContext
    {
        public DbSet<ChatMessage> Messages { get; set; }

        public DbSet<Course> Courses { get; set; }

        public DbSet<Student> Students { get; set; }

        public DbSet<Lecturer> Lecturers { get; set; }

        public DbSet<User> Users { get; set; }

        public DbSet<CourseEnrollment> CourseEnrollment { get; set; }

        public DbSet<FileUpload> Files { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }


    }
}
