﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data.Entity;

namespace CodeCamp_2011_ProSkills_Project.Models.Dal
{
    public class SkillInitializer : DropCreateDatabaseIfModelChanges<SkillContext>
    {   
        protected override void Seed(SkillContext context)
        {
            var courses = new List<Course>
            {
                new Course { name = "Digital Communication Systems" , startDate = new DateTime(2011,9,2), endDate = new DateTime(2011,10,2) },
                new Course { name = "HDL Based Design" , startDate = new DateTime(2011,9,2), endDate = new DateTime(2011,10,2) },
                new Course { name = "Introduction to Bioinformatics" , startDate = new DateTime(2011,9,2), endDate = new DateTime(2011,10,2) },
                new Course { name = "Algorithms for Computer Games" , startDate = new DateTime(2011,9,2), endDate = new DateTime(2011,10,2) },
                new Course { name = "Analog IC Design" , startDate = new DateTime(2011,9,2), endDate = new DateTime(2011,10,2) },
                new Course { name = "Business Case Analysis" , startDate = new DateTime(2011,9,2), endDate = new DateTime(2011,10,2) },
                new Course { name = "Communication and DSP System Engineering" , startDate = new DateTime(2011,9,2), endDate = new DateTime(2011,10,2) }
            };
            courses.ForEach(s => context.Courses.Add(s));
            context.SaveChanges();
        }
    }
}
